Subject: Re: [Emacs-diffs] master d48e07a: * lisp/simple.el (next-error-find-buffer-function): New defcustom.

From: Juri Linkov <[email-masked]>
Date: Sun, 25 Feb 2018 22:40:53 +0200

>> But the question that I really don't understand is what to do with the
>> function next-error-buffer-on-selected-frame that now will have no
>> reference in code, no use by default.  How the users are supposed to
>> know that it's possible to put add-function with this function in the
>> init file?
>
> Ah, so that's why you had a defcustom?  Then maybe having it be
> a defcustom is a good idea.
>
>
>         Stefan "to tell you the truth, I haven't bothered to look at the
>                 code to try to understand what these things are doing,
>                 so I have no opinion on whether it should be a defcustom
>                 or not, or if should be a function defcustom rather
>                 than, say, a boolean defcustom"

I think what we need is to support add-function in defcustom.
Probably we already have all building blocks to create a new
widget type using a list of functions together with PLACE symbols
(e.g. ‘:around’, ‘:before’).  Then saving such customization should
apply add-function on that list of functions in the customized order.